List device memberships
Namespace: microsoft.graph
Get groups and administrative units that this device is a direct member of. This operation is not transitive.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Device.Read.All, Directory.Read.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Device.Read.All, Device.ReadWrite.All, Directory.Read.All, Directory.ReadWrite.All |
When an application queries a relationship that returns a directoryObject type collection, if it does not have permission to read a certain derived type (like device), members of that type are returned but with limited information. With this behaviour applications can request the least privileged permissions they need, rather than rely on the set of Directory.* permissions. For details, see Limited information returned for inaccessible member objects.
HTTP request
GET /devices/{id}/memberOf
Optional query parameters
This method supports the $search, $count, and $filter OData query parameters to help customize the response. OData cast is also enabled, for example, you can cast to get just the directoryRoles the device is a member of. You can use $search on the displayName and description properties.
Some queries are supported only when you use the ConsistencyLevel header set to eventual and $count. For more information, see Advanced query capabilities on Azure AD directory objects.
When items are added or updated for this resource, they are specially indexed for use with the $count and $search query parameters. There can be a slight delay between when an item is added or updated and when it is available in the index.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| ConsistencyLevel | eventual. This header and $count are required when using $search, OData cast parameters, or in specific usage of $filter. For more information about the use of ConsistencyLevel and $count, see Advanced query capabilities on Azure AD directory objects. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and collection of directoryObject objects in the response body.
Examples
Example 1: Get groups that the device is a direct member of
Request
The following is an example of the request.
GET https://graph.microsoft.com/v1.0/devices/{id}/memberOf
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.group",
"id": "id-value",
"createdDateTime": null,
"description": "All users at the company",
"displayName": "All Users",
"groupTypes": [],
"mailEnabled": false,
"securityEnabled": true,
}
]
}
Example 2: Get only a count of all memberships
Request
The following is an example of the request.
GET https://graph.microsoft.com/v1.0/devices/{id}/memberOf/$count
ConsistencyLevel: eventual
Response
The following is an example of the response.
HTTP/1.1 200 OK
Content-type: text/plain
394
Example 3: Use OData cast and $search to get membership with display names that contain the letters 'Video' including a count of returned objects
Request
The following is an example of the request.
GET https://graph.microsoft.com/v1.0/devices/{id}/memberOf/microsoft.graph.group?$count=true&$orderBy=displayName&$search="displayName:Video"
ConsistencyLevel: eventual
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context":"https://graph.microsoft.com/v1.0/$metadata#groups",
"@odata.count":1396,
"value":[
{
"displayName":"SFA Videos",
"mail":"SFAVideos@service.contoso.com",
"mailNickname":"SFAVideos"
}
]
}
Example 4: Use OData cast and $filter to get membership with a display name that starts with the letter 'A' including a count of returned objects
Request
The following is an example of the request.
GET https://graph.microsoft.com/v1.0/devices/{id}/memberOf/microsoft.graph.group?$count=true&$orderBy=displayName&$filter=startswith(displayName, 'A')
ConsistencyLevel: eventual
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context":"https://graph.microsoft.com/v1.0/$metadata#groups",
"@odata.count":76,
"value":[
{
"displayName":"AAD Contoso Videos",
"mail":"AADContosoVideos@contoso.com",
"mailEnabled":true,
"mailNickname":"AADContoso_Videos",
"securityEnabled":true
}
]
}
피드백
다음에 대한 사용자 의견 제출 및 보기